<?php
	header ("Content-type: image/png");
	$map = "maps/$_GET[map].jpg";
	$background = imagecreatefromjpeg($map);
	list($width, $height) = getimagesize($map);
	$newbg = imagecreatetruecolor(240, 180);
	imagecopyresampled($newbg, $background, 0, 0, 0, 0, 240, 180, $width, $height);
	$values = array("$_GET[fivestars]","$_GET[fourstars]","$_GET[threestars]","$_GET[twostars]","$_GET[onestars]");
	$columns = count($values);
	$width = 240;
	$height = 180;
	$padding = 4;
	$column_width = $width / $columns / 2;
	$im = imagecreate($width,$height);
	$white = imagecolorallocate ($im,0xff,0xff,0xff);
	$gray = imagecolorallocate ($im,0xcc,0xcc,0xcc);
	$gray_lite = imagecolorallocate ($im,0xee,0xee,0xee);
	$gray_dark = imagecolorallocate ($im,0x7f,0x7f,0x7f);
	$maxv = 0;
	for($i=0;$i<$columns;$i++)$maxv = max($values[$i],$maxv);
	for($i=0;$i<$columns;$i++)
	{
		$column_height = ($height / 300) * (( $values[$i] / $maxv) *100);
		$x1 = $i*$column_width+4;
		$y1 = $height-$column_height;
		$x2 = (($i+1)*$column_width)-$padding+4;
		$y2 = $height;
		imagefilledrectangle($im,$x1,$y1,$x2,$y2,$gray);
		imageline($im,$x1,$y1,$x1,$y2,$gray_lite);
		imageline($im,$x1,$y2,$x2,$y2,$gray_lite);
		imageline($im,$x2,$y1,$x2,$y2,$gray_dark);
	}
	imagecolortransparent($im, imagecolorat($im, 0, 0));
	$insert_x = imagesx($im);
	$insert_y = imagesy($im);
	imagecopymerge($newbg,$im,0,0,0,0,240,180,100);
	imagepng($newbg);
?>